at.chipkarte.client.dmp.soap.constants

## Class DmpInvalidParameterExceptionConstants

- Object
- - at.chipkarte.client.dmp.soap.constants.DmpInvalidParameterExceptionConstants

-     public final class DmpInvalidParameterExceptionConstants
      extends Object

  Fehlerkonstanten, wenn ein ungültiger Parameter in einer Funktion angegeben wird.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADRESS_ZUSATZ_WRONG_FORMAT` Anschriftzusatz hat das falsche Format (Format oder Länge).
    `static int` | `ADRESSE_INCOMPLETE` Wird eine Adresse angegeben, muss diese vollständig erfasst werden (Ort, PLZ, Hausnummer oder Postfachnummer).
    `static int` | `BEGIN_DATUM_INVALID` "Suchzeitraum von" ist ungültig (kein gültiges Datum).
    `static int` | `DATE_ORDER_WRONG` "Suchzeitraum bis" muss nach "Suchzeitraum von" liegen.
    `static int` | `EINGABE_ZUSATZ_WRONG_FORMAT` Kommentar hat das falsche Format (Format oder Länge).
    `static int` | `EMAIL_WRONG_FORMAT` Email hat das falsche Format (Format oder Länge).
    `static int` | `ENDE_DATUM_INVALID` "Suchzeitraum bis" ist ungültig (kein gültiges Datum).
    `static int` | `HAUSNR_WRONG_FORMAT` Hausnummer hat das falsche Format (Format oder Länge).
    `static int` | `INVALID_ANFRAGE_ART` Die Anfrageart ist ungültig.
    `static int` | `INVALID_ANFRAGE_STATUS` Der Anfragestatus ist ungültig.
    `static int` | `INVALID_AUSSCHREIBEGRUND` Der Ausschreibegrund ist ungültig.
    `static int` | `INVALID_BETREUUNGSSTATUS` Der Betreuungsstatus ist ungültig.
    `static int` | `INVALID_DMP_CODE` Das Therapie Aktiv Programm ist ungültig.
    `static int` | `INVALID_EINGABE_ART` Die Einschreibeart ist ungültig.
    `static int` | `INVALID_FG` Das angegebene Fachgebiet ist ungültig.
    `static int` | `INVALID_SV_NUMBER` Die Sozialversicherungsnummer ist ungültig oder fehlt.
    `static int` | `INVALID_SVT` Der Krankenversicherungsträger ist ungültig.
    `static int` | `LEISTUNGSERBRINGER_WRONG_FORMAT` Das Format von Leistungserbringer ist ungültig.
    `static int` | `NO_SV_PERSON_IDENTIFICATION` Es wurde weder eine e-card verwendet, noch eine gültige SV-Nummer angegeben.
    `static int` | `NR_ZUSATZ_WRONG_FORMAT` Stock/Türnummer hat das falsche Format (Format oder Länge).
    `static int` | `ORT_WRONG_FORMAT` Ort hat das falsche Format (Format oder Länge).
    `static int` | `PLZ_WRONG_FORMAT` Postleitzahl hat das falsche Format (Format oder Länge).
    `static int` | `POSTFACHNUMMER_WRONG_FORMAT` Die Postfachnummer hat das falsche Format.
    `static int` | `POSTFACHTEXT_WRONG_FORMAT` Der Postfachtext hat das falsche Format.
    `static int` | `STRASSE_WRONG_FORMAT` Straße hat falsches Format (Format oder Länge).
    `static int` | `TEL_NR_WRONG_FORMAT` Telefonnummer hat das falsche Format (Format oder Länge).

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_DMP_CODE

          public static final int INVALID_DMP_CODE

      Das Therapie Aktiv Programm ist ungültig.
      ORCLI-Code: CL-02001
      See Also:
        Constant Field Values

    - #### INVALID_EINGABE_ART

          public static final int INVALID_EINGABE_ART

      Die Einschreibeart ist ungültig.
      ORCLI-Code: CL-02002
      See Also:
        Constant Field Values

    - #### INVALID_SV_NUMBER

          public static final int INVALID_SV_NUMBER

      Die Sozialversicherungsnummer ist ungültig oder fehlt.
      ORCLI-Code: CL-02003
      See Also:
        Constant Field Values

    - #### NO_SV_PERSON_IDENTIFICATION

          public static final int NO_SV_PERSON_IDENTIFICATION

      Es wurde weder eine e-card verwendet, noch eine gültige SV-Nummer angegeben.
      ORCLI-Code: CL-02004
      See Also:
        Constant Field Values

    - #### INVALID_FG

          public static final int INVALID_FG

      Das angegebene Fachgebiet ist ungültig.
      ORCLI-Code: CL-02005
      See Also:
        Constant Field Values

    - #### INVALID_SVT

          public static final int INVALID_SVT

      Der Krankenversicherungsträger ist ungültig.
      ORCLI-Code: CL-02006
      See Also:
        Constant Field Values

    - #### INVALID_ANFRAGE_STATUS

          public static final int INVALID_ANFRAGE_STATUS

      Der Anfragestatus ist ungültig.
      ORCLI-Code: CL-02007
      See Also:
        Constant Field Values

    - #### DATE_ORDER_WRONG

          public static final int DATE_ORDER_WRONG

      "Suchzeitraum bis" muss nach "Suchzeitraum von" liegen.
      ORCLI-Code: CL-02008
      See Also:
        Constant Field Values

    - #### BEGIN_DATUM_INVALID

          public static final int BEGIN_DATUM_INVALID

      "Suchzeitraum von" ist ungültig (kein gültiges Datum).
      ORCLI-Code: CL-02009
      See Also:
        Constant Field Values

    - #### ENDE_DATUM_INVALID

          public static final int ENDE_DATUM_INVALID

      "Suchzeitraum bis" ist ungültig (kein gültiges Datum).
      ORCLI-Code: CL-02010
      See Also:
        Constant Field Values

    - #### INVALID_BETREUUNGSSTATUS

          public static final int INVALID_BETREUUNGSSTATUS

      Der Betreuungsstatus ist ungültig.
      ORCLI-Code: CL-02012
      See Also:
        Constant Field Values

    - #### INVALID_AUSSCHREIBEGRUND

          public static final int INVALID_AUSSCHREIBEGRUND

      Der Ausschreibegrund ist ungültig.
      ORCLI-Code: CL-02015
      See Also:
        Constant Field Values

    - #### INVALID_ANFRAGE_ART

          public static final int INVALID_ANFRAGE_ART

      Die Anfrageart ist ungültig.
      ORCLI-Code: CL-02017
      See Also:
        Constant Field Values

    - #### PLZ_WRONG_FORMAT

          public static final int PLZ_WRONG_FORMAT

      Postleitzahl hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02103
      See Also:
        Constant Field Values

    - #### ORT_WRONG_FORMAT

          public static final int ORT_WRONG_FORMAT

      Ort hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02113
      See Also:
        Constant Field Values

    - #### STRASSE_WRONG_FORMAT

          public static final int STRASSE_WRONG_FORMAT

      Straße hat falsches Format (Format oder Länge).
      ORCLI-Code: CL-02123
      See Also:
        Constant Field Values

    - #### HAUSNR_WRONG_FORMAT

          public static final int HAUSNR_WRONG_FORMAT

      Hausnummer hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02133
      See Also:
        Constant Field Values

    - #### NR_ZUSATZ_WRONG_FORMAT

          public static final int NR_ZUSATZ_WRONG_FORMAT

      Stock/Türnummer hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02143
      See Also:
        Constant Field Values

    - #### ADRESS_ZUSATZ_WRONG_FORMAT

          public static final int ADRESS_ZUSATZ_WRONG_FORMAT

      Anschriftzusatz hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02153
      See Also:
        Constant Field Values

    - #### TEL_NR_WRONG_FORMAT

          public static final int TEL_NR_WRONG_FORMAT

      Telefonnummer hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02163
      See Also:
        Constant Field Values

    - #### EMAIL_WRONG_FORMAT

          public static final int EMAIL_WRONG_FORMAT

      Email hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02173
      See Also:
        Constant Field Values

    - #### EINGABE_ZUSATZ_WRONG_FORMAT

          public static final int EINGABE_ZUSATZ_WRONG_FORMAT

      Kommentar hat das falsche Format (Format oder Länge).
      ORCLI-Code: CL-02183
      See Also:
        Constant Field Values

    - #### POSTFACHNUMMER_WRONG_FORMAT

          public static final int POSTFACHNUMMER_WRONG_FORMAT

      Die Postfachnummer hat das falsche Format.
      ORCLI-Code: CL-02213
      See Also:
        Constant Field Values

    - #### POSTFACHTEXT_WRONG_FORMAT

          public static final int POSTFACHTEXT_WRONG_FORMAT

      Der Postfachtext hat das falsche Format.
      ORCLI-Code: CL-02223
      See Also:
        Constant Field Values

    - #### ADRESSE_INCOMPLETE

          public static final int ADRESSE_INCOMPLETE

      Wird eine Adresse angegeben, muss diese vollständig erfasst werden (Ort, PLZ, Hausnummer oder Postfachnummer).
      ORCLI-Code: CL-02013
      See Also:
        Constant Field Values

    - #### LEISTUNGSERBRINGER_WRONG_FORMAT

          public static final int LEISTUNGSERBRINGER_WRONG_FORMAT

      Das Format von Leistungserbringer ist ungültig.
      ORCLI-Code: CL-02018
      See Also:
        Constant Field Values